# lines-conky
lines conky on manjaro xfce

## Build Status
[![status-badge](https://ci.spaeth.biz/api/badges/Lila-Kuh/lines-conky/status.svg)](https://ci.spaeth.biz/Lila-Kuh/lines-conky)

## conkyrc1 - NVIDIA GPU Settings
Change the code lines from 177 to 244 for Intel or AMD graphics cards

```shell
${alignr} GPU ──┘    
${alignr} │             
${alignr} used ──┤             
${alignr} ${execi 600 nvidia-smi -q | grep "Product Name" | tr -s ' '| cut -d ' ' -f 6,7,8}   gpu ──┤       │             
${alignr} ${execi 600 nvidia-smi -q | grep "Driver Version" | tr -s ' '| cut -d ' ' -f 4}   driver ──┤       │             
${alignr} ${execi 10 nvidia-smi -q | grep "Power Draw" | tr -s ' '| cut -d ' ' -f 5,6,7}   power ──┤       │             
${alignr} ${nvidia memused} / ${nvidia memmax} MiB   mem ──┘       │             
${alignr} │             
${alignr} freq ──┤             
${alignr} ${nvidia gpufreqcur} MHz   gpu_clock ──┤       │             
${alignr} ${nvidia memfreqcur} MHz   gpu_mem ──┤       │             
${alignr} ${nvidia mtrfreqcur} MHz   mem_trans ──┘       │             
${alignr} │             
${alignr} util ──┤             
${alignr} ${execi 10 nvidia-smi -q | grep "Gpu" | tr -s ' '| cut -d ' ' -f 4,5,6,7}   gpu ──┤       │             
${alignr} ${execi 10 nvidia-smi -q | grep "Memory" | grep "%" | tr -s ' '| cut -d ' ' -f 4,5}   mem ──┤       │             
${alignr} ${execi 10 nvidia-smi -q | grep "Encoder" | grep "%" | tr -s ' '| cut -d ' ' -f 4,5}   enc ──┤       │             
${alignr} ${execi 10 nvidia-smi -q | grep "Decoder" | grep "%" | tr -s ' '| cut -d ' ' -f 4,5}   dec ──┘       │             
${alignr} │             
${alignr} temperature ──┤             
${alignr} gpu   ${nvidia temp}°C  ──┘       │             
${alignr} │             
${alignr} ${nvidiagraph gpuutil 15,200 F0F0F0 0ABFFF}   load ──┤             
${alignr} ${nvidiagraph memutil 15,200 F0F0F0 0ABFFF}   vram ──┤             
${alignr} ${nvidiagraph membwutil 15,200 F0F0F0 0ABFFF}   ram ──┤             
${alignr} ${nvidiagraph videoutil 15,200 F0F0F0 0ABFFF}   video ──┤             
${alignr} ${nvidiagraph pcieutil 15,200 F0F0F0 0ABFFF}   pcie ──┤             
${alignr} ${nvidiagraph gputemp 15,200 F0F0F0 
```

## Screenshots
<img alt='conkyrc1' src='https://git.spaeth.biz/Lila-Kuh/lines-conky/raw/branch/main/conkyrc2.png' height="800"/>
<img alt='conkyrc2' src='https://git.spaeth.biz/Lila-Kuh/lines-conky/raw/branch/main/conkyrc1.png' height="794"/>
<p><p/>
<img alt='conkyrc1' src='https://git.spaeth.biz/Lila-Kuh/lines-conky/raw/branch/main/Screenshot.png' height="400"/>
